### A free/open-source library for quantitative finance

Classes
ql/indexes/swapindex.hpp File Reference

swap-rate indexes More...

`#include <ql/indexes/interestrateindex.hpp>`
`#include <ql/termstructures/yieldtermstructure.hpp>`
Include dependency graph for swapindex.hpp:

## Classes

class | SwapIndex
| base class for swap-rate indexes More...
class | OvernightIndexedSwapIndex
| base class for overnight indexed swap indexes More...

## Detailed Description

swap-rate indexes